<div class="form-group">
  <ng-container *ngIf='control' [ngSwitch]='dataType'>
    <div *ngSwitchCase='"string"' class="e-float-input e-control-wrapper" [ngClass]="{'e-error': control.invalid && (control.dirty || control.touched)}">
        <input [formControl]='control' [id]="name" [name]="name" type="text">
        <label class="e-float-text e-label-top" [for]="name">{{label}}</label>
    </div>
    <ng-container *ngSwitchCase='"color"'>
      <h4>{{ label }}</h4>
      <input ejs-colorpicker [placeholder]='label' type="color" [formControl]='control' [name]='name'>
    </ng-container>
    <ejs-numerictextbox [formControl]='control' *ngSwitchCase='"numeric"' [placeholder]='label' [id]="name" floatLabelType='Always'></ejs-numerictextbox>
    <ejs-datepicker [formControl]='control' *ngSwitchCase='"datepicker"' [placeholder]='label' [id]="name" floatLabelType='Always'></ejs-datepicker>
    <ejs-dropdownlist [formControl]='control' *ngSwitchDefault [placeholder]='label' [id]="name" [dataSource]='dataSource' floatLabelType='Always'></ejs-dropdownlist>
  </ng-container>
  <div [hidden]='control?.valid' class="e-error">{{ inputErrorText }}</div>
</div>

